Bug 554714 - Review Request: python-psutil - A process utilities module for Python
Review Request: python-psutil - A process utilities module for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
: 554715 (view as bug list)
Depends On:
Blocks: Python3F13 554760 956425
  Show dependency treegraph
 
Reported: 2010-01-12 08:28 EST by Mohamed El Morabity
Modified: 2013-04-30 14:07 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-psutil-0.1.2-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 11:10:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mohamed El Morabity 2010-01-12 08:28:26 EST
Spec URL: http://melmorabity.fedorapeople.org/packages/python-psutil/python-psutil.spec
SRPM URL: http://melmorabity.fedorapeople.org/packages/python-psutil/python-psutil-0.1.2-1.fc12.src.rpm
Description: psutil is a module providing an interface for retrieving information on running
processes and system utilization (CPU, memory) in a portable way by using
Python, implementing many functionalities offered by tools like ps, top and
Windows task manager.

rpmlint runs silently both on SRPM and RPM, and the SRPM builds fine on mock.

This package is a dependancy of a tiling-window application, x-tile, that I will submit very soon.
Comment 1 Jason Tibbitts 2010-01-12 14:26:28 EST
*** Bug 554715 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Spura 2010-01-12 14:57:37 EST
Just a few comments for now:

- Why do you use a patch for removing shebangs?

  Also see:
  https://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Remove_shebang_from_files

- I wouldn't consider the testsuite as %doc...
Comment 3 Mohamed El Morabity 2010-01-12 16:09:48 EST
Sorry for the bug duplicate, it seems to be a Bugzilla bug ^^

* about the patch, 5 Python files of 8 are affected by an unappropriate shebang. I thought that a patch would make the .spec file easier to read than a long sed command. But I can drop the patch for a sed command if it a real imperative from the guidelines ^^

* about the testsuite... Yes, it is not appropriate in %doc, indeed. I remove it immediatly.
Comment 4 Mohamed El Morabity 2010-01-14 06:47:52 EST
Here is a new version:

Spec URL:
http://melmorabity.fedorapeople.org/packages/python-psutil/python-psutil.spec
SRPM URL:
http://melmorabity.fedorapeople.org/packages/python-psutil/python-psutil-0.1.2-2.fc12.src.rpm

The test suite is droped from %doc, and the patch to remove shebangs is replaced by a sed command in %prep
Comment 5 Thomas Spura 2010-01-15 10:04:53 EST
Do you also want to support a python3 module?

As an example see:
https://bugzilla.redhat.com/attachment.cgi?id=384460&action=diff

That spec will build on fc12 without the python3 submodule and on fcX with X > 12, it will build the python3 submodule.


If you have any questions about python3 or want /me as comaintainer, feel free to ask.
Comment 6 Mohamed El Morabity 2010-02-18 16:45:30 EST
Sorry for the delay, I was waiting for Python 3 guidelines validation ^^.

Since these guidelines doesn't recommand to package Python 3 modules without upstream support, and since there is no plan yet for psutil to support Python 3, I leave my .spec... For the moment ;)
Comment 7 Thomas Spura 2010-02-18 17:19:25 EST
(In reply to comment #6)
> Sorry for the delay, I was waiting for Python 3 guidelines validation ^^.
> 
> Since these guidelines doesn't recommand to package Python 3 modules without
> upstream support, and since there is no plan yet for psutil to support Python
> 3, I leave my .spec... For the moment ;)    

That's a reason to push upstream to get a plan :-P

See: http://code.google.com/p/psutil/issues/detail?id=75
Comment 8 Mohamed El Morabity 2010-02-19 19:25:22 EST
Thanks for this report, I'm following it :-)

Here is the new RPM, updated from the latest Python guidelines, with Python 3 support:
Spec URL:
http://melmorabity.fedorapeople.org/packages/python-psutil/python-psutil.spec
SRPM URL:
http://melmorabity.fedorapeople.org/packages/python-psutil/python-psutil-0.1.2-3.fc12.src.rpm
Comment 9 Thomas Spura 2010-02-20 07:17:07 EST
Something is wrong here...

# rpm -q --requires python3-psutil
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


# rpm -q --requires python-psutil
python(abi) = 2.6
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

The python3 package needs to have python(abi) = 3.1. I'm not sure, where it's missing... Will have a look at this.
Comment 10 Thomas Spura 2010-02-20 08:15:45 EST
Review:

GOOD:
- builds in koji:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2001215
- readable
- macros everywhere
- %files ok
- permissions ok
- %clean there
- license ok
  (no headers, but contains LICENCE file)
- buildarch noarch ok
- no libs
- no .pc
- no .la
- rpmlint:
$ rpmlint python-psutil-0.1.2-3.fc12.src.rpm noarch/python3-psutil-0.1.2-3.fc12.noarch.rpm noarch/python-psutil-0.1.2-3.fc12.noarch.rpm 
python-psutil.src: W: spelling-error %description -l en_US functionalities -> functionality, functionalists, functionalism
python-psutil.src: W: spelling-error %description -l en_US ps -> PS, pa, pd
python-psutil.src: W: invalid-url URL: http://psutil.googlecode.com/ IncompleteRead(0 bytes read)
python-psutil.src: W: invalid-url Source0: http://psutil.googlecode.com/files/psutil-0.1.2.tar.gz HTTP Error 404: Not Found
python3-psutil.noarch: W: spelling-error %description -l en_US functionalities -> functionality, functionalists, functionalism
python3-psutil.noarch: W: spelling-error %description -l en_US ps -> PS, pa, pd
python3-psutil.noarch: W: invalid-url URL: http://psutil.googlecode.com/ IncompleteRead(0 bytes read)
[...]
python-psutil.noarch: W: spelling-error %description -l en_US functionalities -> functionality, functionalists, functionalism
python-psutil.noarch: W: spelling-error %description -l en_US ps -> PS, pa, pd
python-psutil.noarch: W: invalid-url URL: http://psutil.googlecode.com/ IncompleteRead(0 bytes read)

invalid-urls are false positive, spelling is correct

-> ok

The requires of python(abi) = 3.1 is now there, I just needed to update to fc13 redhat-rpm-config.


SHOULD:
- Please BR python2-tools and not python-tools, to be consistend with BR python2-devel.


###########################

APPROVED
Comment 11 Mohamed El Morabity 2010-02-20 20:43:32 EST
New Package CVS Request
=======================
Package Name: python-psutil
Short Description: A process utilities module for Python
Owners: melmorabity
Branches: F-11 F-12 F-13
InitialCC:
Comment 12 Jason Tibbitts 2010-02-22 15:07:33 EST
CVS done (by process-cvs-requests.py).
Comment 13 Fedora Update System 2010-02-22 17:18:27 EST
python-psutil-0.1.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-psutil-0.1.2-4.fc13
Comment 14 Fedora Update System 2010-02-22 17:34:55 EST
python-psutil-0.1.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-psutil-0.1.2-4.fc12
Comment 15 Fedora Update System 2010-02-22 17:44:26 EST
python-psutil-0.1.2-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-psutil-0.1.2-4.fc11
Comment 16 Fedora Update System 2010-02-23 11:10:27 EST
python-psutil-0.1.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-03-01 19:58:01 EST
python-psutil-0.1.2-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-03-01 20:10:45 EST
python-psutil-0.1.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Mohamed El Morabity 2012-05-03 07:52:08 EDT
Package Change Request
======================
Package Name: python-psutil
New Branches: el6
Owners: melmorabity ralph
InitialCC:
Comment 20 Gwyn Ciesla 2012-05-03 09:09:35 EDT
Git done (by process-git-requests).
Comment 21 Michel Alexandre Salim 2013-03-16 22:15:56 EDT
Package Change Request
======================
Package Name: python-psutil
New Branches: el5
Owners: melmorabity ralph salimma
Comment 22 Gwyn Ciesla 2013-03-18 08:02:30 EDT
Git done (by process-git-requests).
Comment 23 Jeff Peeler 2013-04-30 12:31:03 EDT
I've evaluated python-psutil-0.6.1-2.fc19, here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=393783

This package contains no cryptographic functionality.

Note You need to log in before you can comment on or make changes to this bug.